Ubuntu Phone does not connect to car-bluetooth

Bug #1435040 reported by Nephilim1973
638
This bug affects 76 people
Affects Status Importance Assigned to Milestone
Canonical System Image
High
John McAleely
bluez (Ubuntu)
Medium
Konrad Zapałowicz
ubuntu-system-settings (Ubuntu)
High
Unassigned

Bug Description

With my FORD Focus Car, pairing does not work. The bluetooth system in the car searches for devices and shows "Aquaris E4.5 Ubuntu Edition" and then prompts me to connect with a 4-digit pin code, but the Ubuntu phone doesn't react at all and after a while the car system says that it failed to connect.

image: 20150310-3201c0a
KRILIN01A-S15A_BQ_L100EN_2020_150312
OS Build 20

Revision history for this message
Nephilim1973 (nephilim1973-e) wrote : Re: Ubuntu Phone (BQ E4.5) does not connect to car-bluetooth

Additional information: Pairing with my HarmanKardon BT Headset (Bluetooth 2.0) is working fine, including audio speaker and microfone.

summary: - Ubuntu Phone (BQ E4.5) does not connect to Bluetooth
+ Ubuntu Phone (BQ E4.5) does not connect to car-bluetooth
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in indicator-bluetooth (Ubuntu):
status: New → Confirmed
Revision history for this message
Markus Koppe (markus-koppe) wrote :

I've got the exact same problem when trying to connect to my COMAND APS NTG 2.5 (Mercedes). Also, I cannot connect to my Dell Inspiron 13-7000 running on Ubuntu 14.10.

Revision history for this message
Nephilim1973 (nephilim1973-e) wrote :

@ Markus: Same issue here while pairing with workstation.
Aquaris' device list shows workstation as "computer" but the device remains grey and is not clickable.

Revision history for this message
Nephilim1973 (nephilim1973-e) wrote :

Probably we could improve the pairing behaviour by editing some configurations files in /etc/bluetooth/..
(on mobile phone and/or workstation)

I remember, that this solved an issue pairing my workstation and a HarmanKardon BT headset.

The car audio issue could only be solved on mobile phone configuration files.

Revision history for this message
Sebastien Bacher (seb128) wrote :

Thank you for your bug report. The bug seems similar to bug #1366061 which should have been fixed in rtm some weeks ago, not sure if the fix is on the image you are using though?

Could you add your ~/.cache/upstart/application-legacy-ubuntu-system-settings.log to the bug after trying to pair the device? Having a bluetoothd debug log would also be useful, would you feel confortable running commands from an adb shell to get those info?

Changed in indicator-bluetooth (Ubuntu):
importance: Undecided → High
status: Confirmed → Incomplete
affects: indicator-bluetooth (Ubuntu) → ubuntu-system-settings (Ubuntu)
tags: added: bq
Revision history for this message
John McAleely (john.mcaleely) wrote :

The image reported in the description is the tip of RTM, so will contain fixes noted in #6.

Revision history for this message
Nephilim1973 (nephilim1973-e) wrote :
Download full text (51.2 KiB)

Strage behaviour... I could pair my mobile to the FORD audio system with

* hcitool scan
* bluez-simple-agent hci0 <device-addr>

and both devices report "connected" state.

But I could not activate/use my mobile.

-------------------

~/.cache/upstart/application-legacy-ubuntu-system-settings.log

2015-03-26 15:48:59,635 - WARNING - QQmlExpression: Expression file:///usr/share/ubuntu/settings/system/qml-plugins/bluetooth/PageComponent.qml:70:17 depends on non-NOTIFYable properties:
2015-03-26 15:48:59,636 - WARNING - Bluetooth::agent
2015-03-26 15:48:59,785 - WARNING - file:///usr/share/ubuntu/settings/system/qml-plugins/bluetooth/PageComponent.qml:168:50: Unable to assign [undefined] to bool
2015-03-26 15:48:59,785 - WARNING - file:///usr/lib/arm-linux-gnueabihf/qt5/qml/Ubuntu/Components/ListItems/SingleControl.qml:59:14: Unable to assign [undefined] to bool
UbuntuWindow - regular geometry
2015-03-26 15:49:00,201 - WARNING - UbuntuClipboard - Got invalid serialized mime data. Ignoring it.
2015-03-26 15:49:00,290 - WARNING - file:///usr/share/ubuntu/settings/system/qml-plugins/bluetooth/PageComponent.qml:168:50: Unable to assign [undefined] to bool
2015-03-26 15:49:03,660 - WARNING - Could not initiate service discovery: "Permission denied"
2015-03-26 15:50:03,957 - WARNING - QQmlExpression: Expression file:///usr/share/ubuntu/settings/system/qml-plugins/bluetooth/PageComponent.qml:70:17 depends on non-NOTIFYable properties:
2015-03-26 15:50:03,957 - WARNING - Bluetooth::agent
2015-03-26 15:50:04,108 - WARNING - file:///usr/share/ubuntu/settings/system/qml-plugins/bluetooth/PageComponent.qml:168:50: Unable to assign [undefined] to bool
2015-03-26 15:50:04,109 - WARNING - file:///usr/lib/arm-linux-gnueabihf/qt5/qml/Ubuntu/Components/ListItems/SingleControl.qml:59:14: Unable to assign [undefined] to bool
UbuntuWindow - regular geometry
2015-03-26 15:50:04,464 - WARNING - UbuntuClipboard - Got invalid serialized mime data. Ignoring it.
2015-03-26 15:50:04,552 - WARNING - file:///usr/share/ubuntu/settings/system/qml-plugins/bluetooth/PageComponent.qml:168:50: Unable to assign [undefined] to bool
2015-03-26 15:50:13,856 - WARNING - file:///usr/lib/arm-linux-gnueabihf/qt5/qml/Ubuntu/Components/PageWrapperUtils.js:30: TypeError: Cannot read property 'createObject' of null
2015-03-26 15:50:15,524 - WARNING - UbuntuClipboard - Got invalid serialized mime data. Ignoring it.
------------------------
/var/log/syslog:

bluetoothd[828]: 00:xx:xx:1C:E0:xx: error updating services: Software caused connection abort (103)
------------------------

And this is the debug output from "bluetoothd" while trying to activate my mobile from FORD audio console:

bluetoothd[1460]: Bluetooth daemon 4.101
bluetoothd[1460]: src/main.c:parse_config() parsing main.conf
bluetoothd[1460]: src/main.c:parse_config() Key file does not have key 'DiscoverableTimeout'
bluetoothd[1460]: src/main.c:parse_config() pairto=0
bluetoothd[1460]: src/main.c:parse_config() pageto=8192
bluetoothd[1460]: src/main.c:parse_config() auto_to=60
bluetoothd[1460]: src/main.c:parse_config() name=%h-%d
bluetoothd[1460]: src/main.c:parse_config() class=0x000100
bluetoothd[1460]: src/main.c:par...

1 comments hidden view all 180 comments
Revision history for this message
GlassRat (glassrat) wrote :

I have the same issue when trying to connect to my bluetooth headset to my BQ E4.5. I have managed to get the headset connected twice; on the first occasion the connection lasted about 30s before repeatedly dropping out and reconnecting for 3 or 4 cycles and then permanently disconnecting. Today the headset connected and then dropped out immediately a call was connected.

This is a SAFETY issue as hands-free phone use whilst driving is impossible.

I have also noticed that quite often when you try turning bluetooth on in the settings menu, it turns itself off again within a couple of seconds.

Revision history for this message
Locutus of Borg (locutus-of-borg) wrote :

Same issue with connection with my Ubuntu 14.04 LTS.
- I have switched on the BT at the Aquaris E 4.5
- I have searched the phone from my computer.
- I found it as "Computer"
- I paired the phone and the 6 digit PIN was displayed on both devices.
- Then I tapped on the phone the button for "the PINs are the same"
- After that I see the Ubuntu Device as paired, but the phone is still busy.
- On the Desktop the buttons are greyed out and I can't do anything.
- After a little while the Desktop announces, that the pairing has failed
- And finally the Desktop BT name disappeared also from the phone.

Now I am again at the beginning.

My conclusion: Almost all works, but finally the pairing has failed.

Revision history for this message
Jirka Kubíček (jirka-kubicek) wrote :

Aquaris BQ E4.5 problem with conect car radio Sony MEX-BT4700U
no pairing multimedia
pairing witch phone but any call isnt successful, no any ring

pairing with desktop ubuntu cant sharing mobile internet ...

Revision history for this message
Wim Tiggelaar (wic) wrote :

can also not pair uphone bq 4.5 with bmw bt
initiating connection on phone and car
pairing code entered on car and phone
car does not process pairing request and timesout
confirming on phone an invalid/wrong pairing code is detected suc6full
please provide fix to uphone software to make uphone useable.
in netherlands it is illegal to use phone in car without handsfree
this is high prio

Revision history for this message
Cormac (cormac-wilcox) wrote :

Bluetooth is a big issue for me, with the following issues I have noticed so far:
1) I can pair my bq Aquaris with my Skoda Octavia (2013), I think it is a Bolero radio BUT the connection is very flakey, connection often drops and then it cannot be restored without a phone reboot. Phone call cannot last more than about 5 minutes before a connection is lost.
2) The bluetooth icon often looks like it is still connected to something but in the settings page it says "Not Discoverable" and there are no components connected.
3) I then cannot turn bluetooth off or on - the toggle indicator just reverts back to where it was unless I reboot the phone.
4) I have connected to a cheap set of bluetooth headphones (PSYC) but after terminating a connection I was unable to reconnect and no. 2 above happens again

1 comments hidden view all 180 comments
Revision history for this message
Gabriele (gabrielemartelli) wrote :

Same problem with all Android devices . The devices will recognize and engage but you can not transfer files .
On the phone Aquaris also the BT is not present between the possibility of sharing ( eg . Photos )

I use BQ E4.5 UT 14.10r21

Revision history for this message
Wim Tiggelaar (wic) wrote :

i still have problems with connecting my bq e45 to the bmw bluetooth
rt21 was installed on my phone this week and i retried the pairing but still no success
following the discovery of my car bluetooth, i want to connect but the pincode dialogue
does not appear anymore.

1 comments hidden view all 180 comments
Revision history for this message
Giuseppe Giacalone (giacabass) wrote :

... confirm that unfortunately after upgrade (21), my car while before he recognized the devices with its pin, now no longer recognizes him ...

Revision history for this message
Erich Steiger (1-unfo-v) wrote :

I'm able to connect the bq e45 to my cars audio system and I also hear some sounds touching the keys on the phone through my cars speakers. But when I call someone, I hear absolutely nothing and the mic doesn't work.

Revision history for this message
Cormac (cormac-wilcox) wrote :

OK so my initial optimism with r21 expressed in #15 has been tempered.
I still get a lot of dropped calls.
To activate audio for music or podcasts through the bluetooth I have to connect then toggle the bluetooth off and on again.. I've tried all sorts of other methods but this is the only way.

Revision history for this message
Job (c-ubuntu-one-x) wrote :

I am unable to get a stable connection between my BQ Aquaris E4.5 Ubuntu Edition phone and my car kit. The phone is recognisedby the car as a device, it is paired and synchronised, but the bluetooth connection is severed approximately 20 seconds after synching. At the same time the BQ Phone starts searching for/connecting to new devices.

The BQ Aquaris E4.5 Ubuntu Edition runs on Ubuntu 14.10 (r21) and my car is a Volvo V50. Connections to the car kit work well with Android, Windows and Apple phones.

Revision history for this message
Jim McLay (james-mclay) wrote :

My phone usually connects ok to my car (Skoda Octavia) bluetooth but after a call lasting several minutes the connection drops and cannot be reinstated without rebooting the phone.

Revision history for this message
Roberto FURLAN (ondamediabroadcast) wrote :

Confirm: Mitsubishi Lancer with Rockford Fosgate audio car system.
Car system recognise the phone and pairing goes well. Also, connection between car system and phone estabilishes quite fast as I come aboard, but if I make a call I have the "bluetooth speaker icon" active and phone mute, so as car system continuing to play radio.
In other words... it doesn't work.
The car system worked well with iPhone and other smartphones.

Revision history for this message
Peter Hoar (uklongdistance) wrote :

Talked to BQ tech support yesterday. They are aware of poor or no bluetooth pairing on certain car types and claim a fix will be published "soon"?!

Revision history for this message
Ralph (rpsoft-i) wrote :
Download full text (4.2 KiB)

Most of the time my phone (Nexus4,r19,stable) has problems to
establish a connection with the Toyota Bluetooth Carkit.
I've attached my log files.

application-legacy-ubuntu-system-settings-.log
2015-05-22 12:23:03,460 - WARNING - file:///usr/lib/arm-linux-gnueabihf/qt5/qml/Ubuntu/Components/ListItems/SingleControl.qml:59:14: Unable to assign [undefined] to bool
UbuntuWindow - regular geometry
2015-05-22 12:23:03,840 - WARNING - UbuntuClipboard - Got invalid serialized mime data. Ignoring it.
2015-05-22 12:23:05,664 - WARNING - QQmlExpression: Expression file:///usr/share/ubuntu/settings/system/qml-plugins/bluetooth/PageComponent.qml:70:17 depends on non-NOTIFYable properties:
2015-05-22 12:23:05,665 - WARNING - Bluetooth::agent
2015-05-22 12:23:05,792 - WARNING - file:///usr/share/ubuntu/settings/system/qml-plugins/bluetooth/PageComponent.qml:168:50: Unable to assign [undefined] to bool
2015-05-22 12:23:05,898 - WARNING - file:///usr/share/ubuntu/settings/system/qml-plugins/bluetooth/PageComponent.qml:168:50: Unable to assign [undefined] to bool
2015-05-22 12:23:09,248 - WARNING - Could not initiate service discovery: "Bad file descriptor"
2015-05-22 12:23:10,686 - WARNING - file:///usr/lib/arm-linux-gnueabihf/qt5/qml/Ubuntu/Components/PageWrapperUtils.js:30: TypeError: Cannot read property 'createObject' of null
2015-05-22 12:23:32,688 - WARNING - Error registering agent for the default adapter: QDBusError("org.bluez.Error.AlreadyExists", "Already Exists")
2015-05-22 12:23:32,855 - WARNING - QQmlExpression: Expression file:///usr/share/ubuntu/settings/system/qml-plugins/bluetooth/PageComponent.qml:70:17 depends on non-NOTIFYable properties:
2015-05-22 12:23:32,855 - WARNING - Bluetooth::agent
2015-05-22 12:23:32,966 - WARNING - file:///usr/share/ubuntu/settings/system/qml-plugins/bluetooth/PageComponent.qml:168:50: Unable to assign [undefined] to bool
2015-05-22 12:23:33,046 - WARNING - file:///usr/share/ubuntu/settings/system/qml-plugins/bluetooth/PageComponent.qml:168:50: Unable to assign [undefined] to bool
2015-05-22 12:23:33,410 - WARNING - UbuntuClipboard - Got invalid serialized mime data. Ignoring it.
2015-05-22 12:23:42,687 - WARNING - Could not initiate service discovery: "Host is down"
2015-05-22 12:23:42,689 - WARNING - Could not initiate service discovery: "Connection refused"
2015-05-22 12:51:31,753 - WARNING - Error registering agent for the default adapter: QDBusError("org.bluez.Error.AlreadyExists", "Already Exists")
2015-05-22 12:51:31,754 - CRITICAL - Couldn't register agent at /com/canonical/SettingsBluetoothAgent/adapteragent
2015-05-22 12:51:31,934 - WARNING - QQmlExpression: Expression file:///usr/share/ubuntu/settings/system/qml-plugins/bluetooth/PageComponent.qml:70:17 depends on non-NOTIFYable properties:
2015-05-22 12:51:31,934 - WARNING - Bluetooth::agent
2015-05-22 12:51:32,046 - WARNING - file:///usr/share/ubuntu/settings/system/qml-plugins/bluetooth/PageComponent.qml:168:50: Unable to assign [undefined] to bool
2015-05-22 12:51:32,209 - WARNING - file:///usr/lib/arm-linux-gnueabihf/qt5/qml/Ubuntu/Components/PageWrapperUtils.js:30: TypeError: Cannot read property 'createObject' of null
2015-05-22 1...

Read more...

Changed in canonical-devices-system-image:
assignee: nobody → Pat McGowan (pat-mcgowan)
importance: Undecided → High
milestone: none → ww28-2015
status: New → Confirmed
tags: added: connectivity
Revision history for this message
Peter Hoar (uklongdistance) wrote :

I have managed to pair the `phone to my car after many attempts and have a good connection. However, car will not download the contacts nor will it automatically connect. If I have a problem with making a connection rebooting the `phone always corrects this.

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in bluez (Ubuntu):
status: New → Confirmed
Revision history for this message
Patrick Poulin (pcpnielsen) wrote :

Cannot connect my BQ Aquaris E5 to the car unit Clarion FZ502 (with updated firmware 1.57) .
The phone can see the car unit, but when trying to pair no pin nr pops up for confirmation and connection only last 1-4 sek. After than the phone search for new units again.
Tried to connect via hcitool + bluez-simple-agent hci0 <device-addr>, but this results in a "Page timeout"

Revision history for this message
Bjoern G. (nephilim1973-5) wrote :

Curiously, bug probably affects only car bluetooth devices.
My HarmanKardon BT Headset (with telephony) and my Garmin CAR GPS (with telephony via BT) pairing fine with Aquaris 4.5...

Changed in canonical-devices-system-image:
milestone: ww28-2015 → ww34-2015
Revision history for this message
Dominique Ramaekers (dominique-ramaekers) wrote :

Confirm...

With a Meizu phone, this is also an issue.

The phone connects with my Audi carkit after a few tries. The connection drops again after 30-60 sec.

If I can help with more info or with testings, let me know...

Revision history for this message
Mark J Galea (markjgalea) wrote : Re: [Bug 1435040] Re: Ubuntu Phone (BQ E4.5) does not connect to car-bluetooth

Thanks. As I said, my BQ doesn't connect at all :( I really hope that this
is resolved ASAP

Regards

mj

On 8 July 2015 at 19:42, Dadio <email address hidden> wrote:

> Confirm...
>
> With a Meizu phone, this is also an issue.
>
> The phone connects with my Audi carkit after a few tries. The connection
> drops again after 30-60 sec.
>
> If I can help with more info or with testings, let me know...
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1466839).
> https://bugs.launchpad.net/bugs/1435040
>
> Title:
> Ubuntu Phone (BQ E4.5) does not connect to car-bluetooth
>
> Status in the base for Ubuntu mobile products:
> Confirmed
> Status in bluez package in Ubuntu:
> Confirmed
> Status in ubuntu-system-settings package in Ubuntu:
> Incomplete
>
> Bug description:
> With my FORD Focus Car, pairing does not work. The bluetooth system in
> the car searches for devices and shows "Aquaris E4.5 Ubuntu Edition"
> and then prompts me to connect with a 4-digit pin code, but the Ubuntu
> phone doesn't react at all and after a while the car system says that
> it failed to connect.
>
> image: 20150310-3201c0a
> KRILIN01A-S15A_BQ_L100EN_2020_150312
> OS Build 20
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/canonical-devices-system-image/+bug/1435040/+subscriptions
>

Changed in canonical-devices-system-image:
assignee: Pat McGowan (pat-mcgowan) → John McAleely (john.mcaleely)
Revision history for this message
Kevin Bradley (ke6in) wrote : Re: Ubuntu Phone (BQ E4.5) does not connect to car-bluetooth

Exactly the same problem experienced whilst trying to connect an Aquaris 4.5 to a Toyota bluetooth hands free system. I am more than willing to help with testing.

Revision history for this message
Peter Hoar (uklongdistance) wrote :

Kevin, I found the time allowed to enter the code on the `phone was very short. It really is worth re-trying as quickly as possible. Once established you will probably find it does`t always connect automatically but will connect when car and `phone "connect" buttons are selected..

Revision history for this message
Andriopoulos Nikolaos (sirnicolas21) wrote :

i noticed that with the time, however even if i managed to write the code it never connect, auto connection is totally dead.

Revision history for this message
Simon Fels (morphis) wrote :

Can someone who experience this problem here follow the steps on https://wiki.ubuntu.com/Process/Merges/TestPlan/ubuntu-system-settings#Bluetooth-1 so that we get logs files with debugging for bluetooth components enabled to further analyze what the problem here is?

Revision history for this message
Andriopoulos Nikolaos (sirnicolas21) wrote :

attached a syslog with Bluetooth verbose logs on, log was cleared before i enable the blue tooth and try to connect it to my car.

Revision history for this message
Simon Fels (morphis) wrote :

@Andriopoulos: Did you reboot after you executed the steps mentioned on https://wiki.ubuntu.com/Process/Merges/TestPlan/ubuntu-system-settings#Bluetooth-1 ? Those things will only be effective when you reboot so the relevant services get restarted (you could restart them manually but to keep the system in a sane state it's better to reboot). The log you attached doesn't has any bluetooth debug messages in it.

Revision history for this message
Andriopoulos Nikolaos (sirnicolas21) wrote :

indeed i didn't reboot, sorry for that, i attached a new log on which i rebooted, i turned on bluetooth and waited a bit so it can try to connect to the old pairing, then i debonded the devices initiated a new pairing and tried to make some calls, at the time of the calls the phone was saying that it was paired but the car's bluetooth icon wasn't lit and calls were made by using the phones speaker.

Changed in bluez (Ubuntu):
assignee: nobody → Simon Fels (morphis)
importance: Undecided → High
Revision history for this message
Simon Fels (morphis) wrote :
Download full text (4.1 KiB)

@Andriopoulos: I have some questions to the log file you attached:

* Did you power off Bluetooth at some point through the UI?
* You say "calls" but I only see one call being made in that log file. Can you please describe the exact steps you performed after you powered on your phone?
* What is the exact model of the Car you're using?

From the log you attached it looks like the HCI controller signals us that the Bluetooth device wents down so bluez is just reacting on incoming events and brings everything else also down:

Jul 31 19:39:02 ubuntu-phablet bluetoothd[854]: audio/telephony.c:call_added() /ril_1/voicecall01
Jul 31 19:39:02 ubuntu-phablet bluetoothd[854]: audio/telephony.c:call_new() /ril_1/voicecall01
Jul 31 19:39:02 ubuntu-phablet bluetoothd[854]: audio/telephony.c:call_new() state dialing
Jul 31 19:39:02 ubuntu-phablet bluetoothd[854]: audio/telephony.c:call_new() cli 6944***** (number removed)
Jul 31 19:39:02 ubuntu-phablet bluetoothd[854]: audio/telephony.c:call_new() Multipary False
Jul 31 19:39:02 ubuntu-phablet bluetoothd[854]: audio/telephony.c:call_new() CALL_STATUS_DIALING
Jul 31 19:39:02 ubuntu-phablet bluetoothd[854]: audio/telephony.h:telephony_update_indicator() Telephony indicator "callsetup" 0->2
Jul 31 19:39:02 ubuntu-phablet bluetoothd[854]: audio/telephony.c:handle_network_property_changed() in handle_registration_property_changed(), the property is Strength
Jul 31 19:39:10 ubuntu-phablet bluetoothd[854]: message repeated 2 times: [ audio/telephony.c:handle_network_property_changed() in handle_registration_property_changed(), the property is Strength]
Jul 31 19:39:11 ubuntu-phablet bluetoothd[854]: audio/telephony.c:handle_vc_property_changed() path /ril_1/voicecall01
Jul 31 19:39:11 ubuntu-phablet bluetoothd[854]: audio/telephony.c:handle_vc_property_changed() property State
Jul 31 19:39:11 ubuntu-phablet bluetoothd[854]: audio/telephony.c:handle_vc_property_changed() State alerting
Jul 31 19:39:11 ubuntu-phablet bluetoothd[854]: audio/telephony.h:telephony_update_indicator() Telephony indicator "callsetup" 2->3
Jul 31 19:39:12 ubuntu-phablet bluetoothd[854]: audio/telephony.c:handle_network_property_changed() in handle_registration_property_changed(), the property is Strength
Jul 31 19:39:17 ubuntu-phablet bluetoothd[854]: message repeated 2 times: [ audio/telephony.c:handle_network_property_changed() in handle_registration_property_changed(), the property is Strength]
Jul 31 19:39:19 ubuntu-phablet bluetoothd[854]: audio/telephony.c:handle_vc_property_changed() path /ril_1/voicecall01
Jul 31 19:39:19 ubuntu-phablet bluetoothd[854]: audio/telephony.c:handle_vc_property_changed() property State
Jul 31 19:39:19 ubuntu-phablet bluetoothd[854]: audio/telephony.c:handle_vc_property_changed() State disconnected
Jul 31 19:39:19 ubuntu-phablet bluetoothd[854]: audio/telephony.c:call_free() /ril_1/voicecall01
Jul 31 19:39:19 ubuntu-phablet bluetoothd[854]: audio/telephony.h:telephony_update_indicator() Telephony indicator "callsetup" 3->0
Jul 31 19:39:19 ubuntu-phablet bluetoothd[854]: audio/telephony.c:call_removed() /ril_1/voicecall01
[...]
Jul 31 19:39:29 ubuntu-phablet bluetoothd[854]: plugins/mgmtops.c:mgmt_event(...

Read more...

tags: added: bluetooth
Changed in canonical-devices-system-image:
milestone: ww34-2015 → ww40-2015
Changed in canonical-devices-system-image:
milestone: ww40-2015 → backlog
tags: added: bq-feedback
Changed in bluez (Ubuntu):
assignee: Simon Fels (morphis) → Konrad Zapałowicz (kzapalowicz)
tags: removed: connectivity
summary: - Ubuntu Phone (BQ E4.5) does not connect to car-bluetooth
+ Ubuntu Phone does not connect to car-bluetooth
100 comments hidden view all 180 comments
Revision history for this message
GTriderXC (gtriderxc) wrote :
Revision history for this message
GTriderXC (gtriderxc) wrote :
Revision history for this message
GTriderXC (gtriderxc) wrote :
Revision history for this message
GTriderXC (gtriderxc) wrote :
Revision history for this message
flohack (flori-bin) wrote :

GTriderXC, I reported this behaviour here: https://bugs.launchpad.net/ubuntu/+source/bluez/+bug/1596028 - it´s also happening with other devices than carkits...

Revision history for this message
Todor Kouyoumdjiev (tk-c) wrote :

I have absolute the same behaviour as Dadio describe it, except that the phone is bq 4.5 Aquaris. With Audi bluetooth system the phone is OK and the car system doesn't recongnize it. On Mercedes car bluetooth system the phone connects normally.

Revision history for this message
Stefan Hammes (stefan-hammes) wrote :

Aquaris E5
Porsche 911 car 997 (2011)

Update with OTA 12:

After prompting to connect with a 4-digit pin code,
the Ubuntu phone connected with the car and synchronized the adressbook.
Phone calls did not work: dealing and connection created, but no sound over the car microphone and speakers.

After leaving and returning to the car the phone did not reconnect anymore.
The same happens after turning the car audio off and on again.
No way to reconnect the Aquaris E5 to the car.

After so many OTAs it is a disaster with this bluetooth function.

Revision history for this message
Giuseppe Giacalone (giacabass) wrote : Re: [Bug 1435040] Re: Ubuntu Phone does not connect to car-bluetooth

... After ota 12, I can pair the bq 4.5 bluetooth of my nissan x-trail but
I can neither get the book, nor to make any calls: is this possible in 2016?
... I do not hide my disappointment...

2016-08-05 16:44 GMT+02:00 Stefan Hammes <email address hidden>:

> Aquaris E5
> Porsche 911 car 997 (2011)
>
> Update with OTA 12:
>
> After prompting to connect with a 4-digit pin code,
> the Ubuntu phone connected with the car and synchronized the adressbook.
> Phone calls did not work: dealing and connection created, but no sound
> over the car microphone and speakers.
>
> After leaving and returning to the car the phone did not reconnect anymore.
> The same happens after turning the car audio off and on again.
> No way to reconnect the Aquaris E5 to the car.
>
> After so many OTAs it is a disaster with this bluetooth function.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1435040
>
> Title:
> Ubuntu Phone does not connect to car-bluetooth
>
> Status in Canonical System Image:
> Confirmed
> Status in bluez package in Ubuntu:
> Confirmed
> Status in ubuntu-system-settings package in Ubuntu:
> Incomplete
>
> Bug description:
> With my FORD Focus Car, pairing does not work. The bluetooth system in
> the car searches for devices and shows "Aquaris E4.5 Ubuntu Edition"
> and then prompts me to connect with a 4-digit pin code, but the Ubuntu
> phone doesn't react at all and after a while the car system says that
> it failed to connect.
>
> image: 20150310-3201c0a
> KRILIN01A-S15A_BQ_L100EN_2020_150312
> OS Build 20
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/canonical-devices-system-image/+bug/1435040/+
> subscriptions
>

Revision history for this message
Konrad Zapałowicz (kzapalowicz) wrote :

For you to know a fix for in-car Bluetooth that addresses the pairing problems when pairing is initiated by the car will be released in OTA13

Revision history for this message
Gerd Hammer (gerd-hammer) wrote :

Meizu MX4 Ubuntu Edition
OTA-12
Mazda 6 (2015) handfree car system

I can pair my Meizu Mx4 ubuntu edition (OTA-13) with my handfree car system (Mazda 6). It connects and the device pairs, than it starts to connect and disconnect phone and audio and I cannot make any phone calls. It is also impossible to import contacts. I tried in normal mode and in developer mode. Nothing helps. The problems got worse from OTA-9 on until now.
With other devices like headset or bluetoth speaker bluetooth works well.
Help would be greatley appreciated!

Gerd

Revision history for this message
greenBird (greenbird4) wrote :

Aquaris E5 HD Ubuntu Edition still doesn't work, same behaviour like Gerd.
Now I got a ticket from the police while taking the mobile by driving.

My car use the protocol Hands-Free (HFP) 1.0 (or higher).

Wikipedia says: Currently in version 1.7, this is commonly used to allow car hands-free kits to communicate with mobile phones in the car. It commonly uses Synchronous Connection Oriented link (SCO) to carry a monaural audio channel with continuously variable slope delta modulation or pulse-code modulation, and with logarithmic a-law or μ-law quantization. Version 1.6 adds optional support for wide band speech with the mSBC codec, a 16 kHz monaural configuration of the SBC codec mandated by the A2DP profile. Version 1.7 adds indicator support to report such things as headset battery level.

I would donate you!

Revision history for this message
baj (benjamin-vallin) wrote :

My car (Renault, from April 2015, with built-in TomTom) does detect my BQ Aquaris E5 Ubuntu ed (OTA-12) but does not pair or connect.
The phone's bluetooth works well with other bluetooth devices.

Revision history for this message
Ferry Toth (ftoth) wrote :

On my Renault Laguna (2010) with TomTom Carminat I managed to pair, but connect doesn't seem to work.

I ssh'ed into the phone (Arale) while connecting and saw that it actually does connect, but is disconnected after 2 seconds. This seems to confuse the TomTom shows it is trying to connect while in reality it was connected until the connection broke.

I didn't see any reason why it disconnects in log etc. But maybe I'm looking in the wrong place.

I would say it's about time we get this fixed. It seems to be some sort of timing issue. I'd be happy to collect logs, just let me know how.

Revision history for this message
Cesar Herrera (chg1) wrote :

I can't pair Aquaris E4.5 to Citroen C4. I only did it when started E4.5 I don't remember the OTAs
Cheers

Revision history for this message
JoiHap (astronomy) wrote :

Following my comment "2015-08-25: #65"

Using OTA13 -> I can still confirm this issue in a Ford Fiesta. After the device detection and introducing the pin for connection, message in the car says the phone was paired successfully and in the phone seems connected for a while, however, the blue led indicator in the car does not show up (confirming that the device would be ready to establish calls) and bluetooth is not usable at all.

Revision history for this message
Gerd Hammer (gerd-hammer) wrote :

Meizu MX4 Ubuntu Edition
OTA-13
Mazda 6 (2015) handfree car system

I installed OTA-13 and now eveything works fine.

Thanks a lot,

Gerd

Revision history for this message
Dominique Ramaekers (dominique-ramaekers) wrote :

Did the update to OTA13 on a Meizu MX4 and trying to connect to an Audi bluetooth system:

- First, the phone sayd it was connected to the bluetooth system but the car didn't agree.
- After removing the known devices on both the car and the phone (and restarting the phone)
  the phone doesn't detect the car bluetooth system.

So for me, big step backwards. (Hoping on one step backwards on OTA13 and two steps forwards on OTA14...)

If new debug info/logs are useful, please let me know...

Revision history for this message
Stefan Hammes (stefan-hammes) wrote :

Aquaris E5 HD
Porsche 911 car, model 997 (2011)

Update with OTA 13:

Again no sucess to connect the phone to the car.

After typing the 4-digit pin code into the Aquaris E5,
the phone displays, it is connected to the car's PCM (Porsche Communication Management).
The car displays, that there "is still a confirmation by the phone missing".
But no confirmation dialog is promting on the phone.
After that the displayed connection with the car disappers from the phone.

After so many OTAs this is quite disappointing...

KaMMed (mohamed-kamouni)
information type: Public → Public Security
Revision history for this message
Mons ter Wade (monsterwade) wrote :

BQ Aquaris E5
Volkswagen Phaeton 2011 (VW Navigation System RNS810)
OTA13

After the OTA13 stable update I'm now able to pair my phone with the in car bluetooth system for the first time. However the pairing process was a bit of a hassle until it worked. I was not able to detect why pairing suddenly worked after 5 unsuccessful tries. Maybe a timing issue, because I have to enter a 16 digit code and not a 4 digit code.

After pairing I can access contacts, start calls etc. The phone also reconnects perfectly after entering the car again. Everything seems to work...

BUT the bluetooth audio is not routed to my car speakers/microphone. I can browse my contacts, start a call and answer calls, but I can't hear anyting and my opposite can't hear me.

For me OTA13 was an improvement (pairing now works), but I still can't make phone calls in the car.

My Ubuntu Phone would be perfect, if hands-free speaking would work. Please keep up the good work and release a fix as soon as possible!

If I can help, let me know ...

Revision history for this message
Konrad Zapałowicz (kzapalowicz) wrote :

@Stefan

Sorry to hear that it still does not work for you. I imagine that this is frustrating and at the same time please be patient. We are doing serious commitment into improving the overall Bluetooth experience however it takes time due to the complexity of the technology and variety of devices.
Best!

Revision history for this message
Vincas Dargis (talkless) wrote :

With OTA13 I cannot even pair with Parrot CK3100. Tried to forget pairing on both sides but it did not help. My BQ E5 shows "unknown" device instead of "Parrot..".

pre-OTA13 I could pair, sync contacts, but there was no sound.

Revision history for this message
Marco A. Harrendorf (marcokarlo) wrote :

With OTA13 it is still not working together with my Garmin Navigon navigation system.
I can pair my phone and the navigation system. The navigation system can also download the addressbook and initiate calls, but during a call no audio is routed between the phone and the navigation system.

Revision history for this message
Stunts (f-pinamartins) wrote :

@monserwade:
You may be interested in bug #1578176. It's kind of like the follow up to this one:
Pairing works as intended, connection is performed, contacts also work, but calls don't.

Revision history for this message
archangel (t-gravier) wrote :

Avec ma voiture FORD kuga, le jumelage ne fonctionne pas. Le système Bluetooth recherche et affiche "Aquaris E5.HD" puis me demande de se connecter avec un code PIN à 4 chiffres, mais le téléphone Ubuntu ne réagit pas du tout et après un certain temps le système de voiture dit qu'il n'a pas réussi à se connecter.

With my car FORD kuga, pairing does not work. The Bluetooth system searches and displays "Aquaris E5. HD" and asks me to log in with a PIN 4-digit, but the Ubuntu phone does not react at all and after a while the car system says it does has failed to connect.

OTA -13

Revision history for this message
Peter Hoar (pfahoar) wrote :

The problem is not so much the `phone but the car. I went to BMW yesterday because mine did connect OK initially but now won`t do it. They were able to get "Connected" on the screen but there was no signal. They then went into the database of the car and found BQ were not on the list. I have an Apple 3 which connects instantly. BQ need to issue the software to car manufacturers otherwise a lot of fed up people will dump the `phone.

Revision history for this message
Stefan Hammes (stefan-hammes) wrote :

I cannot imagine that the car manufactors have to maintain databases of their cars.
There are so many mobile phones coming and leaving the market.
A car manufactor cannot know and maintain them all.

My car from 2011 worked fine with a new Windows Phone from 2014.
I have never heard of a phone database update for my or other cars.

Here it is more a question of ensuring the bluetouth standard behaviour of our Ubuntu Phones.

Revision history for this message
Peter Hoar (pfahoar) wrote :

They don`t and that`s the problem. The bluetooth connection for new windows has probably not changed from the earlier models. In my case I was using a `phone not built when my car was constructed.

Revision history for this message
GeyerA (calo-geyer) wrote :

I flashed on Mako already months ago and experienced issues with my Alpine car stereo. Now flashed again latest release and connected to my BMW F31 multimedia system. All seemed fine after pairing but then the multimedia launched a call showing "******" as the destination number. Radio obviously stopped playing but no message on the phone. I removed the device and paired again but also then, again launched the call in the car with the ******* as a destination. If somebody can instruct me how to run a log file, just let me know.

Revision history for this message
Dominique Ramaekers (dominique-ramaekers) wrote :

With OTA-14 on a Meizu MX4 and a Audi Car kit.

Progress:
  The phone recognize the Audi Car Kit with the right name (description)
  It is recognised as a headset like with our Peugeot (on which the bluetooth works)
  I select the Audi Car Kit and the phone indicates it tries to connect.

Problems:
  The phone doesn't ask for a password
  The phone stops connecting to the Car Kit

Revision history for this message
Vincas Dargis (talkless) wrote :

With OTA-14 I can now pair with Parrot CK3100 again, but there is still no sound (crossed note symbol).

Revision history for this message
Mons ter Wade (monsterwade) wrote :

BQ Aquaris E5
Volkswagen Phaeton 2011 (VW Navigation System RNS810)
OTA14

Finally IT WORKS! But from the beginning:

After the OTA 14 Update I tried again to connect to my in car bluetooth system and make calls. Connecting (still) worked. Next I tried to make a call and again no sound from the speakers. After random changes on both ends (phone and in car system, of course with no systematic tracking), I tried again to call somebody and now speakers/mic worked perfectly. I left my car, entered again, phone reconnected and now again no sound!?! Wtf? But I was hooked, if it worked one time, it has to be possible to make it work again ...

It took me some time to track down the necessary conditions for a stable and working bluetooth connection:

1. In the phones bluetooth settings the auto connect button for the connection to the in car bluetooth system has to be disabled. If this is not disabled, the car and the phone try to establish the connection at the same time and things get messed up, up to the point where both systems eventually freeze.

2. The car system can only establish the bluetooth connection, if the screen of the phone is unlocked.

That's all. If you pay attention to these 2 points, really everything works perfectly (for Volkswagen systems)! Even streaming media via bluetooth works!

I'm really excited, thank you very much for your work! I use my phone for business and desperately needed a working hands free system in my car. Unlocking my screen after entering the car is no big deal to me. Switching back to android is now definitely off the table. Thank you again and keep up the great work! I really love the usability and GUI of my ubuntu phone!

Revision history for this message
Mons ter Wade (monsterwade) wrote :

Update point 2:

It seems to be necessary not only to unlock the screen but also to go to the phones bluetooth settings. But then don't do anything on the phone, just initiate the connection from the car system and watch the magic. Sometimes I need 2 or 3 tries to establish a connection, but once the connection is successfully established everything works and is stable.

The above posted method should work for most VAG systems e. g. VW, Audi, Skoda and maybe even Porsche.

Revision history for this message
Dominique Ramaekers (dominique-ramaekers) wrote :

Comment on #171 (Mons ter Wade)
I have an Audi but with a UHV.
With my car-kit, you are right that the pairing/connecting works better when the auto-connect option is disabled:
- Once paired, the connection happens automatically
- The phone says it's connected
- The car says there is no phone connected

Nothing else happens...

Revision history for this message
Mons ter Wade (monsterwade) wrote :

Update/Correction #171 & #172

In the meantime I drove 1300 km. I think I now fully understand what is and was going on.

After connecting like in #171 & 172 described, I had 4 phone calls on a 600 km trip. 2 times bluez crashed (had to reboot phone) and I wasn't able to update the phonebook in the car system.

So I enabled ‘autoconnect’ in the bluetooth settings on the phone and tried to connect again from the car system. Tatataaa ... on my way back no crashes during phone calls and updating the phonebook now always worked.

What happened? It turned out that I myself messed up the bluetooth connecting process with my impatience. As soon as the car system showed the bluetooth sign and my mobile service provider, I started playing around on both ends (car system & phone). But at this point the connecting process was not completely finished and I fooling around at the same time finally caused crashes on both systems.

I just have to wait like another 10-20 s and everything works perfectly. In my case the connection process is finished when the media player sign shows up in the cars display.

Everything works now as intended, if ‘autoconnect’ is enabled and the car starts the connecting process. Turn on phones bluetooth, get in the car, wait until the car establishes the connection COMPLETELY and enjoy! Nothing else has to be done.

Revision history for this message
Mons ter Wade (monsterwade) wrote :

BQ Aquaris E5
Volkswagen Golf 2016 (w/o Navigation System)
OTA14

I had the opportunity to test with a brand new Golf today. Pairing worked on the second try. After initial pairing automatically reconnecting worked like a charm. I made one 15 min. phone call and could not detect any problems.

Revision history for this message
Stefan Hammes (stefan-hammes) wrote :

Aquaris E5 HD
Porsche 911 car, model 997 (2011)

Update with OTA 15:

Again no sucess to connect the phone with the car.
I tried the upper advices from "Monsterwade" (Thank you :-):
- auto connect disabled
- unlocked screen and stay on the bluetooth screen
or:
- auto connect enabled and much of waiting

My car system shows allways this dialog:
"A confirmation by the phone is still missing".
But no confirmation dialog is promting on the phone.
After a while the displayed connection with the car disappers from the phone.

I am very sorry about that, after so many OTAs.

Revision history for this message
greenBird (greenbird4) wrote :

Watching the connect process, the phone try to pair my car as a headset.

My car use the protocol Hands-Free (HFP) 1.0 (or higher).

I believe there is no protocol HFP integrated.
This could be the reason of connect error with cars.

tags: added: ubuntu-touch
tags: added: bluez-touch
removed: ubuntu-touch
Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Reduced priority for Ubuntu Touch bugs.

Changed in bluez (Ubuntu):
importance: High → Medium
1 comments hidden view all 180 comments
Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Ubuntu Touch is no longer supported.

Changed in bluez (Ubuntu):
status: Confirmed → Won't Fix
Changed in canonical-devices-system-image:
status: Confirmed → Won't Fix
Changed in ubuntu-system-settings (Ubuntu):
status: Incomplete → Won't Fix
Displaying first 40 and last 40 comments. View all 180 comments or add a comment.
This report contains Public Security information  Edit
Everyone can see this security related information.

Other bug subscribers